package com.steerinfo.dil.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

/**
 * @ author    :TXF
 * @ time      :2022/1/12 20:26
 */

@Mapper
public interface QueueInterfaceMapper {

    //获取区域Id
    @Select("select DV.VERSION_VALUE from DIL_VERSION DV where DV.VERSION_TYPE = 2")
    String getAreaId();

    //更新区域ID
    @Update("update DIL_VERSION DV set DV.VERSION_VALUE = #{areaId} where DV.VERSION_TYPE = 2")
    int updateAreaId(@Param("areaId") String areaId);

    @Select("select VERSION_VALUE from DIL_VERSION where VERSION_TYPE = 3")
    String getToken();

    @Update("update DIL_VERSION set VERSION_VALUE = #{token} where VERSION_TYPE = 3")
    int updateToken(@Param("token") String token);

    @Update("update QMS_SUB_CAPACITY set SUB_STATUS  = 1,UPDATE_TIME = SYSDATE where CAPACITY_NUMBER = #{capacityNumber} and SUB_STATUS = 0")
    int cancelSubCapacity(@Param("capacityNumber")String capacityNumber);

    @Select("select SUB_CAPACITY_ID from QMS_SUB_CAPACITY where CAPACITY_NUMBER = #{capacityNumber} and SUB_STATUS = 0 and rownum = 1")
    Integer getSubCapacity(@Param("capacityNumber") String capacityNumber);
}
