package com.steerinfo.dil.mapper;

import org.apache.ibatis.annotations.Param;
import org.mapstruct.Mapper;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/16 10:01
 */
@Mapper
public interface QueuingRulesMapper {

    //根据物资Id、门岗规则 查询门岗id (可能会查询出多个)
//    List<Map<String, Object>> queryGatepostByMaterialId(Map<String, Object> map);

    //通过门岗ID查询门岗可进门开始时间和结束时间
//    Map<String, Object> getStartTimeAndEndTime(Integer gatepostId);

    //通过门岗ID 和 网格类型 匹配 网格主键
    BigDecimal getGridIdByGatepostIdAndGridType(Map<String, Object> map);

    //查询订单跟订单物资中间表 查询是否有多个物资Id
    List<Integer> getAllMaterialId(Map<String, Object> map);

    //通过物资Id查询仓库是否有货 或者 是否有多个仓库有货
//    List<Integer> getWarehouseIdByMaterialId(Integer materialId);

    //通过仓库Id 和 物资Id 查询垛位 层次 月台 仓库
//    List<Map<String, Object>> getStackGradation(Map<String, Object> map);

    //通过月台Id 查询月台当前排队车辆数
//    BigDecimal queueCountByPlatformId(BigDecimal platformId);

    //通过订单ID查询门岗ID(可能会有多个门岗)
//    List<BigDecimal> queryGatepostIdByOrderId(@Param("orderId")BigDecimal orderId);

    //通过车牌号查询已接收的订单
    Map<String, Object> getOrderNumberByCapacityNumber(@Param("capacityNumber") String capacityNumber);

    //查询人员管理名字
    String getPersonnelNameBySSoId(String ssoId);

    //查询所有已确认进厂的实绩
    List<Map<String, Object>> getAllSureTimeList();
    List<Map<String, Object>> getAllSureTimeSpellingList();

    //更新排队实绩表
    int updateListToLast(@Param("listId") BigDecimal listId, @Param("nodeOrder") Integer nodeOrder);

    //更新进厂实绩
    int updateEnFactory(@Param("resultTotalId") BigDecimal resultTotalId);

    //更新多拼排序表
    int updateSpellingListToLast(@Param("spellingResultId") BigDecimal spellingResultId);

    //更新多拼排队时间
    int updateSpellingDate(Integer queueResultId);

    //过时移除排队实绩信息
    int updateQQRRemoveList(BigDecimal resultId);

    //查询所有单拼还未确认进厂的实绩
    List<Map<String, Object>> getAllNotSureEnFactoryList();

    //查询所有多拼还未确认进厂的实绩
    List<Map<String, Object>> getAllNotSureEnFactorySpellingList();

    Integer checkoutQQR(Object resultTotalId);

    int updateQRESULTEnsureTime(@Param("listId") BigDecimal listId);

    Integer findStatus(Map<String,Object> map);
}
