package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="未轧钢材规格，在这个表里的规格物资不允许排队进场")
public class QmsModelUnrooled implements IBasePO<BigDecimal> {
    /**
     * 主键(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键",required=true)
    private BigDecimal resultId;

    /**
     * 未轧物资规格(SPECTIONS_MODEL,VARCHAR,255)
     */
    @ApiModelProperty(value="未轧物资规格",required=false)
    private String spectionsModel;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public String getSpectionsModel() {
        return spectionsModel;
    }

    public void setSpectionsModel(String spectionsModel) {
        this.spectionsModel = spectionsModel == null ? null : spectionsModel.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", spectionsModel=").append(spectionsModel);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}