package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车排队链表")
public class QmsQueueList implements IBasePO<BigDecimal> {
    /**
     * 主键ID(LIST_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal listId;

    /**
     * 排队网格ID(GRID_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="排队网格ID",required=false)
    private BigDecimal gridId;

    /**
     * 运力ID(CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运力ID",required=false)
    private BigDecimal capacityId;

    /**
     * 排队链表顺序号(LIST_NODE_ORDER,DECIMAL,0)
     */
    @ApiModelProperty(value="排队链表顺序号",required=false)
    private BigDecimal listNodeOrder;

    /**
     * 逻辑删除 0 :正在排队 1:排队结束(DELETED,VARCHAR,1)
     */
    @ApiModelProperty(value="逻辑删除 0 :正在排队 1:排队结束",required=false)
    private String deleted;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 排队实绩Id(QUEUE_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="排队实绩Id",required=false)
    private BigDecimal queueResultId;

    /**
     * 进厂确认时间(ENTRY_SURE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="进厂确认时间",required=false)
    private Date entrySureTime;

    /**
     * 钢材科VIP:仅针对当前排队(IS_VIP,TIMESTAMP,7)
     */
    @ApiModelProperty(value="钢材科VIP:仅针对当前排队",required=false)
    private Date isVip;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.listId;
    }

    @Override
    public void setId(BigDecimal listId) {
        this.listId = listId;
    }

    public BigDecimal getListId() {
        return listId;
    }

    public void setListId(BigDecimal listId) {
        this.listId = listId;
    }

    public BigDecimal getGridId() {
        return gridId;
    }

    public void setGridId(BigDecimal gridId) {
        this.gridId = gridId;
    }

    public BigDecimal getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(BigDecimal capacityId) {
        this.capacityId = capacityId;
    }

    public BigDecimal getListNodeOrder() {
        return listNodeOrder;
    }

    public void setListNodeOrder(BigDecimal listNodeOrder) {
        this.listNodeOrder = listNodeOrder;
    }

    public String getDeleted() {
        return deleted;
    }

    public void setDeleted(String deleted) {
        this.deleted = deleted == null ? null : deleted.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getQueueResultId() {
        return queueResultId;
    }

    public void setQueueResultId(BigDecimal queueResultId) {
        this.queueResultId = queueResultId;
    }

    public Date getEntrySureTime() {
        return entrySureTime;
    }

    public void setEntrySureTime(Date entrySureTime) {
        this.entrySureTime = entrySureTime;
    }

    public Date getIsVip() {
        return isVip;
    }

    public void setIsVip(Date isVip) {
        this.isVip = isVip;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", listId=").append(listId);
        sb.append(", gridId=").append(gridId);
        sb.append(", capacityId=").append(capacityId);
        sb.append(", listNodeOrder=").append(listNodeOrder);
        sb.append(", deleted=").append(deleted);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", queueResultId=").append(queueResultId);
        sb.append(", entrySureTime=").append(entrySureTime);
        sb.append(", isVip=").append(isVip);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}