package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽车排队实绩")
public class QmsQueueResult implements IBasePO<BigDecimal> {
    /**
     * 主键id(RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal resultId;

    /**
     * 实绩总表id(RESULT_TOTAL_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="实绩总表id",required=true)
    private BigDecimal resultTotalId;

    /**
     * 运力id(CAPACITY_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="运力id",required=false)
    private BigDecimal capacityId;

    /**
     * 排队申请时间(RESULT_APPLYFOR_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="排队申请时间",required=false)
    private Date resultApplyforTime;

    /**
     * 排队申请地点(RESULT_APPLYFOR_LOCATION,VARCHAR,20)
     */
    @ApiModelProperty(value="排队申请地点",required=false)
    private String resultApplyforLocation;

    /**
     * 排队网格id(GRID_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="排队网格id",required=false)
    private BigDecimal gridId;

    /**
     * 排队下发时间(RESULT_DOWN_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="排队下发时间",required=false)
    private Date resultDownTime;

    /**
     * 排队接收时间(RESULT_ACCEPT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="排队接收时间",required=false)
    private Date resultAcceptTime;

    /**
     * 排队开始时间(RESULT_START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="排队开始时间",required=false)
    private Date resultStartTime;

    /**
     * 排队结束时间(RESULT_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="排队结束时间",required=false)
    private Date resultEndTime;

    /**
     * 排队取消时间(RESULT_CANCEL_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="排队取消时间",required=false)
    private Date resultCancelTime;

    /**
     * 取消排队原因(RESULT_CANCEL_REASON,VARCHAR,250)
     */
    @ApiModelProperty(value="取消排队原因",required=false)
    private String resultCancelReason;

    /**
     * 插队时间(RESULT_INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="插队时间",required=false)
    private Date resultInsertTime;

    /**
     * 插队原因(RESULT_INSERT_REASON,VARCHAR,250)
     */
    @ApiModelProperty(value="插队原因",required=false)
    private String resultInsertReason;

    /**
     * 排队转移时间(RESULT_TRANSFER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="排队转移时间",required=false)
    private Date resultTransferTime;

    /**
     * 排队转移原因(RESULT_TRANSFER_REASON,VARCHAR,250)
     */
    @ApiModelProperty(value="排队转移原因",required=false)
    private String resultTransferReason;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 链表ID(LIST_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="链表ID",required=false)
    private BigDecimal listId;

    /**
     * 电子围栏区域ID(AREA_ID,VARCHAR,200)
     */
    @ApiModelProperty(value="电子围栏区域ID",required=false)
    private String areaId;

    /**
     * 是否拼装 0：不是 1：是(IS_SPELLING,DECIMAL,0)
     */
    @ApiModelProperty(value="是否拼装 0：不是 1：是",required=false)
    private BigDecimal isSpelling;

    /**
     * 门岗ID(GATEPOST_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="门岗ID",required=false)
    private BigDecimal gatepostId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.resultId;
    }

    @Override
    public void setId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultId() {
        return resultId;
    }

    public void setResultId(BigDecimal resultId) {
        this.resultId = resultId;
    }

    public BigDecimal getResultTotalId() {
        return resultTotalId;
    }

    public void setResultTotalId(BigDecimal resultTotalId) {
        this.resultTotalId = resultTotalId;
    }

    public BigDecimal getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(BigDecimal capacityId) {
        this.capacityId = capacityId;
    }

    public Date getResultApplyforTime() {
        return resultApplyforTime;
    }

    public void setResultApplyforTime(Date resultApplyforTime) {
        this.resultApplyforTime = resultApplyforTime;
    }

    public String getResultApplyforLocation() {
        return resultApplyforLocation;
    }

    public void setResultApplyforLocation(String resultApplyforLocation) {
        this.resultApplyforLocation = resultApplyforLocation == null ? null : resultApplyforLocation.trim();
    }

    public BigDecimal getGridId() {
        return gridId;
    }

    public void setGridId(BigDecimal gridId) {
        this.gridId = gridId;
    }

    public Date getResultDownTime() {
        return resultDownTime;
    }

    public void setResultDownTime(Date resultDownTime) {
        this.resultDownTime = resultDownTime;
    }

    public Date getResultAcceptTime() {
        return resultAcceptTime;
    }

    public void setResultAcceptTime(Date resultAcceptTime) {
        this.resultAcceptTime = resultAcceptTime;
    }

    public Date getResultStartTime() {
        return resultStartTime;
    }

    public void setResultStartTime(Date resultStartTime) {
        this.resultStartTime = resultStartTime;
    }

    public Date getResultEndTime() {
        return resultEndTime;
    }

    public void setResultEndTime(Date resultEndTime) {
        this.resultEndTime = resultEndTime;
    }

    public Date getResultCancelTime() {
        return resultCancelTime;
    }

    public void setResultCancelTime(Date resultCancelTime) {
        this.resultCancelTime = resultCancelTime;
    }

    public String getResultCancelReason() {
        return resultCancelReason;
    }

    public void setResultCancelReason(String resultCancelReason) {
        this.resultCancelReason = resultCancelReason == null ? null : resultCancelReason.trim();
    }

    public Date getResultInsertTime() {
        return resultInsertTime;
    }

    public void setResultInsertTime(Date resultInsertTime) {
        this.resultInsertTime = resultInsertTime;
    }

    public String getResultInsertReason() {
        return resultInsertReason;
    }

    public void setResultInsertReason(String resultInsertReason) {
        this.resultInsertReason = resultInsertReason == null ? null : resultInsertReason.trim();
    }

    public Date getResultTransferTime() {
        return resultTransferTime;
    }

    public void setResultTransferTime(Date resultTransferTime) {
        this.resultTransferTime = resultTransferTime;
    }

    public String getResultTransferReason() {
        return resultTransferReason;
    }

    public void setResultTransferReason(String resultTransferReason) {
        this.resultTransferReason = resultTransferReason == null ? null : resultTransferReason.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getListId() {
        return listId;
    }

    public void setListId(BigDecimal listId) {
        this.listId = listId;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId == null ? null : areaId.trim();
    }

    public BigDecimal getIsSpelling() {
        return isSpelling;
    }

    public void setIsSpelling(BigDecimal isSpelling) {
        this.isSpelling = isSpelling;
    }

    public BigDecimal getGatepostId() {
        return gatepostId;
    }

    public void setGatepostId(BigDecimal gatepostId) {
        this.gatepostId = gatepostId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", resultId=").append(resultId);
        sb.append(", resultTotalId=").append(resultTotalId);
        sb.append(", capacityId=").append(capacityId);
        sb.append(", resultApplyforTime=").append(resultApplyforTime);
        sb.append(", resultApplyforLocation=").append(resultApplyforLocation);
        sb.append(", gridId=").append(gridId);
        sb.append(", resultDownTime=").append(resultDownTime);
        sb.append(", resultAcceptTime=").append(resultAcceptTime);
        sb.append(", resultStartTime=").append(resultStartTime);
        sb.append(", resultEndTime=").append(resultEndTime);
        sb.append(", resultCancelTime=").append(resultCancelTime);
        sb.append(", resultCancelReason=").append(resultCancelReason);
        sb.append(", resultInsertTime=").append(resultInsertTime);
        sb.append(", resultInsertReason=").append(resultInsertReason);
        sb.append(", resultTransferTime=").append(resultTransferTime);
        sb.append(", resultTransferReason=").append(resultTransferReason);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", listId=").append(listId);
        sb.append(", areaId=").append(areaId);
        sb.append(", isSpelling=").append(isSpelling);
        sb.append(", gatepostId=").append(gatepostId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}