package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.QmsQueueResult;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * QmsQueueResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-14 11:27
 * 类描述
 * 修订历史：
 * 日期：2021-09-14
 * 作者：generator
 * 参考：
 * 描述：QmsQueueResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IQmsQueueResultService{
    //车辆进入电子围栏自动触发系统新增排队实绩
    int addQueueResult(String vno, String isPDA);

    //查询排队申请
    List<Map<String, Object>> getQueueApply(Map<String, Object> map);

    //查询排队开始、详情数据  正在排队的数据
    List<Map<String, Object>> getQueueListByQueueUp(Map<String, Object> map);

    //查询排队取消
    List<Map<String, Object>> getQueueCancel(Map<String, Object> map);

    //查询排队结束
    List<Map<String, Object>> getQueueEndResult(Map<String, Object> map);

    boolean isInCircle(String longitude, String latitude, String CapacityNo);

    List<Map<String, Object>> getStoreQueueList();


    //通过实绩Id查询排队取消实绩
//    List<Map<String, Object>> getQueueCancelByResultId(Integer resultId);

    //修改排队取消原因 和时间
//    int updateQueueCancel(QmsQueueResult qmsQueueResult);

    //新增仓库排队
//    int addQueueResultByCk(Map<String, Object> map);

    //查询排队转移详情
//    List<Map<String, Object>> getChangeQueueMes(Map<String, Object> map);

    //人工添加排队申请查询所有执行中订单 订单状态 ：1
//    List<Map<String, Object>> getAllExecutionOrder(Map<String, Object> map);

    //指令接收 通过接收时间判断是否已接收  查询判断条件：是否结束进厂
//    List<Map<String, Object>> orderReceive(Map<String, Object> map);

    //查询排队详情
//    List<Map<String, Object>> getQueueMes(Map<String, Object> map);

    //查询插队详情
//    List<Map<String, Object>> getQueueInsert(Map<String, Object> map);

    //汽车监控
//    List<Map<String, Object>> capacityMonitor(Map<String, Object> map);

    //=============================================仓库排队=======================================================
    //查询仓库排队申请
//    List<Map<String, Object>> getWarehouseQueueApply(Map<String, Object> map);

    //查询仓库排队开始
//    List<Map<String, Object>> getWarehouseQueueListByQueueUp(Map<String, Object> map);

    //查看排队详情 通过运输订单号
//    List<Map<String, Object>> getWarehouseQueueMes(Map<String, Object> map);

    //查询排队转移
//    List<Map<String, Object>> getWarehouseQueueChange(Map<String, Object> map);

    //查询仓库排队结束
//    List<Map<String, Object>> getWarehouseQueueEndMes(Map<String, Object> map);

    /*
     * APP
     */
    // 查看各个门岗,仓库的实时状态
//    List<Map<String, Object>> getQueueStatusList();

    // 查询未接收时的接收
//    List<Map<String, Object>> getOrderReceive2(String capacityNumber);

//    int cancelQueue(Map<String,Object> mapValue);

    // 通过车牌号得到网格id
//    BigDecimal getGridId(String capacityNumber);
}